Subject: Re: Getting physical packet counts with LRO enabled with ixgbe?

From: Rick Jones <[email-masked]>
Date: Wed, 23 Sep 2009 12:03:01 -0700

>>Next time you guys re-compile your hardware, please consider adding byte counters :)
> 
> 
> On 10G adapters, byte counters can skyrocket quickly, so we'd need to
> read them often to avoid them wrapping. 

10G Ethernet is ~1.16 GB/s (GiB/s for purists I guess) for simplicity, call that 
2GB/s or 2^31 bytes per second.  If the counter is 64 bits, that would suggest 
wrap in 2^64/2^31 or 2^33 seconds right?  Or have I made some nasty math error? 
  I'm having quit a difficult time imagining that someone would have 32 bit 
counters in a 10G NIC.

rick jones